jQuery 3.2.1 + Joomla 3.7.3 a.indexOf is not a function Ошибка

  • 12 Ответов
  • 482 Просмотров

0 Пользователей и 1 Гость просматривают эту тему.

*

Оффлайн FlahsAxel

Доброе время суток!
Подключаю jQuery 3.2.1 к Joomla 3.7.3, в консоли получаю:
Цитировать
a.indexOf is not a function
jQuery даже не вызываю, ошибка сразу вылетает.
Шаблон на Bootstrap 3.3.7
В Joomla - по умолчанию jQuery 1.12.4.

В internet нашел:
Цитировать
Эта ошибка говорит о том, что библиотека jQuery не подключена на странице или ваш код выполняется до подключения библиотеки и это абсолютно не зависит от версии. Ошибка возникает именно потому, что функции $ (а это именно имя функции) не существует или же она вызывается до её инициализации.

Если отключить штатный jQuery 1.12.4 (как описано на форуме), вылетает много ошибок по Bootstrap.
Joomla 3.7.3 не совместима с jQuery 3.2.1?

*

Оффлайн SmokerMan

начнем с того что indexOf к jQuery не имеет никакого отношения) это чистый JS
а ошибка возникает видимо из-за того что "a" не определено

*

Оффлайн FlahsAxel

SmokerMan
Вообще, ведь ничего не делаю, просто пустая страница.
Подключил скрипт, вызвал консоль, получил сообщение.

Ссылка с ошибкой a.indexOf is not a function - указывает на строку кода в jquery-3.2.1.min.js

Отключаю jQuery 3.2.1, сообщение пропадает.

Если не трудно, проверь у себя, просто подключи jQuery 3.2.1.

Сайт на локали, показать не могу.
« Последнее редактирование: 19.07.2017, 14:06:36 от FlahsAxel »

*

Оффлайн SmokerMan

без ссылки на сайт никто ничем не поможет
а ошибка скорее всего в скрипте каком-то, а не в jQuery
гадать тут можно долго)
Отключаю jQuery 3.2.1, сообщение пропадает.
что значит отключаю jQuery 3.2.1?
т.е. jQuery вобще никакой не подключается? тогда бы там была бы не одна ошибка, наверно)

*

Оффлайн FlahsAxel

SmokerMan
Отключаю jQuery 3.2.1, оставляю штатный jQuery 1.12.4

Цитировать
а ошибка скорее всего в скрипте каком-то, а не в jQuery
Нет ничего воообще, сайт делаю с нуля.
Некому вызывать ошибку.

jQuery 3.2.1 работает у кого-нибудь в Joomla 3.7.3?

*

Оффлайн robert

Отключаю jQuery 3.2.1, оставляю штатный jQuery 1.12.4
Тааак...По задумке jQuery 3.2.1 должен работать в свзке с jQuery 1.12.4?

Нет ничего воообще, сайт делаю с нуля.
Абсолютно никаких расширений? И Joomla тоже нет?
  • Не будь паразитом, сделай что-нибудь самостоятельно!
  • В личке и по Skype не даю советов.

*

Оффлайн FlahsAxel

robert
Чистая Joomla 3.7.3, Шаблон на Bootstrap 3.3.7
Никаких сторонних расширений.
Создан обычный материал - для тестирования.

Цитировать
По задумке jQuery 3.2.1 должен работать в свзке с jQuery 1.12.4
По задумке - подключить новую версию jQuery, поскольку в нем значительные отличия/улучшения в сравнении с ранними версиями.

jQuery 1.12.4 хотел отключить (как описано на форуме), однако:
Цитировать
Если отключить штатный jQuery 1.12.4 (как описано на форуме), вылетает много ошибок по Bootstrap.
Joomla 3.7.3 не совместима с jQuery 3.2.1?

*

Оффлайн capricorn

https://forum.jquery.com/topic/chrome-error-report-uncaught-typeerror-a-indexof-is-not-a-function
переписывайте код или пользуйтесь тем, что есть.

*

Оффлайн FlahsAxel

capricorn
Плюсанул.
Ранее также нашел в internet
Цитировать
Эта ошибка может быть вызвана алиасами jquery, такими как .load, .unload или .error, устаревшими с jQuery 1.8. Найдите эти псевдонимы в своем коде и замените их на .on (), чтобы вместо этого регистрировать слушателей (listeners).

Вопрос!
В каком месте это перезаписать?
У меня вообще чистый сайт, установлена только Joomla.
Где может быть этот устаревший код?

*

Оффлайн fsv

jquery-migrate.js есть?
Заказать разработку:    расширения Joomla  |   интерфейсы на javascript(jQuery)  |  мобильные приложения

*

Оффлайн FlahsAxel

fsv
Цитировать
jquery-migrate.js есть?
Пробовал с ним и без него - разницы никакой.

*

Оффлайн capricorn

Цитировать
В каком месте это перезаписать?

я думаю, неправильно все-таки будет переписывать в дистрибутиве.

может действительно попробовать новый jquery-migrate.js https://github.com/jquery/jquery-migrate
? судя по информации, для 1.12.x должно получиться.

я не проверял, но вопрос - зачем вам это, что такого вы хотите реализовать? и где появилась эта ошибка на чистой Joomla?
на главной я вижу

Код: (js) [Выделить]
<script>
jQuery(window).on('load',  function() {
new JCaption('img.caption');
});
jQuery(function($){ $(".hasTooltip").tooltip({"html": true,"container": "body"}); });
</script>
« Последнее редактирование: 21.07.2017, 00:03:32 от capricorn »

*

Оффлайн FlahsAxel

capricorn
Цитировать
вопрос - зачем вам это, что такого вы хотите реализовать?
Хотел работать с новым jQuery, однако, больше проблем, чем пользы. Откатываюсь на штатный Joomla jQuery 1.12.4.

Цитировать
где появилась эта ошибка на чистой Joomla?
В консоли FireBug.